Bug 1120124 - nodejs-commander-3.0.1 is available
Summary: nodejs-commander-3.0.1 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-commander
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 10:13 UTC by Upstream Release Monitoring
Modified: 2019-08-30 09:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-07-16 10:13:19 UTC
Latest upstream release: 2.3.0
Current version/release in Fedora Rawhide: 2.2.0-2.fc21
URL: http://registry.npmjs.org/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2017-06-23 12:12:29 UTC
Latest upstream release: 2.10.0
Current version/release in rawhide: 2.9.0-3.fc26
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 2 Upstream Release Monitoring 2017-06-23 12:12:32 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 3 Upstream Release Monitoring 2017-07-03 12:12:32 UTC
Latest upstream release: 2.11.0
Current version/release in rawhide: 2.9.0-3.fc26
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 4 Upstream Release Monitoring 2017-07-03 12:12:36 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 5 Upstream Release Monitoring 2018-01-11 12:13:24 UTC
Latest upstream release: 2.13.0
Current version/release in rawhide: 2.9.0-4.fc27
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 6 Upstream Release Monitoring 2018-01-11 12:13:28 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 7 Upstream Release Monitoring 2018-02-06 12:21:59 UTC
Latest upstream release: 2.14.0
Current version/release in rawhide: 2.9.0-4.fc27
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 8 Upstream Release Monitoring 2018-02-07 12:13:25 UTC
Latest upstream release: 2.14.1
Current version/release in rawhide: 2.9.0-4.fc27
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 9 Upstream Release Monitoring 2018-03-08 12:13:13 UTC
Latest upstream release: 2.15.0
Current version/release in rawhide: 2.9.0-4.fc27
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 10 Upstream Release Monitoring 2018-03-20 12:13:06 UTC
Latest upstream release: 2.15.1
Current version/release in rawhide: 2.9.0-4.fc27
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 11 Upstream Release Monitoring 2018-06-29 12:14:35 UTC
Latest upstream release: 2.16.0
Current version/release in rawhide: 2.9.0-5.fc29
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 12 Upstream Release Monitoring 2018-08-04 00:14:36 UTC
Latest upstream release: 2.17.0
Current version/release in rawhide: 2.9.0-6.fc29
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 13 Upstream Release Monitoring 2018-08-07 12:14:27 UTC
Latest upstream release: 2.17.1
Current version/release in rawhide: 2.9.0-6.fc29
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 14 Upstream Release Monitoring 2018-09-07 12:10:12 UTC
Latest upstream release: 2.18.0
Current version/release in rawhide: 2.9.0-6.fc29
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 15 Upstream Release Monitoring 2019-04-03 02:01:28 UTC
Latest upstream release: 2.20.0
Current version/release in rawhide: 2.9.0-7.fc30
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2284/

Comment 16 Upstream Release Monitoring 2019-08-16 18:33:40 UTC
Latest upstream release: 3.0.0-0
Current version/release in rawhide: 2.9.0-8.fc31
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2284/

Comment 17 Upstream Release Monitoring 2019-08-16 18:33:43 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- tests-v3.0.0.tar.bz2
- dl-tests.sh
- examples-v3.0.0.tar.bz2

Comment 18 Ben Rosser 2019-08-26 20:24:35 UTC
We're shipping an old version of commander 2.x.

A number of packages require commander, so I'd be cautious about upgrading all the way to 3.0.0. But would it at least be possible to update to the last commander 2.x release; commander 2.20, in Rawhide/F31?

$ dnf repoquery --whatrequires nodejs-commander
...
discord-irc-0:2.6.1-3.fc30.noarch
docco-0:0.6.3-11.fc30.noarch
mocha-0:2.4.5-12.fc30.noarch
nodejs-clean-css-0:3.4.6-8.fc30.noarch
nodejs-commoner-0:0.10.4-8.fc30.noarch
nodejs-express-0:3.5.2-12.fc30.noarch
nodejs-har-validator-0:2.0.3-8.fc30.noarch
nodejs-jade-0:1.3.1-12.fc30.noarch
nodejs-proxy-0:0.2.4-7.fc30.noarch

Comment 19 Upstream Release Monitoring 2019-08-30 09:59:37 UTC
Latest upstream release: 3.0.1
Current version/release in rawhide: 2.9.0-8.fc31
URL: http://npmjs.org/package/commander

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2284/

Comment 20 Upstream Release Monitoring 2019-08-30 09:59:39 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- tests-v3.0.1.tar.bz2
- dl-tests.sh
- examples-v3.0.1.tar.bz2


Note You need to log in before you can comment on or make changes to this bug.